%define gecko_ver 1.9.1

Summary:	GNOME2 Web browser based on Mozilla
Name:		galeon
Version:	2.0.7
Release:	10%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://galeon.sourceforge.net/
Source0:	http://download.sourceforge.net/galeon/%{name}-%{version}%{?extraversion}.tar.bz2
Patch0:		galeon-2.0.7-plugins.patch
Patch1:		galeon-2.0.7-confignspr.patch
Patch2:		galeon-2.0.7-gtkprint.patch
Patch3:		galeon-2.0.7-dfltfont.patch
Patch4:		galeon-2.0.7-warnings.patch
Patch5:		galeon-2.0.7-moz191.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

BuildRequires:	gettext desktop-file-utils
BuildRequires:	gtk2-devel >= 2.12.0
BuildRequires:	gnome-desktop-devel
BuildRequires:	gecko-devel >= %{gecko_ver}
BuildRequires:	gecko-devel-unstable >= %{gecko_ver}
BuildRequires:	libgnomeui-devel >= 2.5.2
BuildRequires:  perl(XML::Parser) scrollkeeper
BuildRequires:  intltool
BuildRequires:  nspr-devel

Requires: gecko-libs >= %{gecko_ver}

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Requires(pre):    GConf2
Requires(post):   GConf2
Requires(preun):  GConf2
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

%description
Galeon is a web browser built around Gecko (Mozilla's rendering
engine) and Necko (Mozilla's networking engine). It's a GNOME web
browser, designed to take advantage of as many GNOME technologies as
makes sense. Galeon was written to do just one thing - browse the web.


%prep
%setup -q -n %{name}-%{version}%{?extraversion}
%patch0 -p1 -b .plugins
%patch2 -p1 -b .gtkprint
%patch1 -p1 -b .confignspr
%patch3 -p1 -b .dfltfont
%patch4 -p1 -b .warnings
%patch5 -p1 -b .moz191


%build
%configure \
	--disable-nautilus-view			\
	--disable-werror                        \
	--disable-schemas-install		\
	--disable-dependency-tracking		\
	--with-mozilla=libxul-embedding-unstable
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/galeon.desktop
rm -f $RPM_BUILD_ROOT%{_bindir}/galeon-config-tool
# Overriding galeon *bluecurve* icon
perl -pi -e 's|Icon=.+|Icon=%{_datadir}/pixmaps/galeon.png|g' galeon.desktop
desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --add-category Application                  \
    galeon.desktop
%find_lang galeon-2.0

find $RPM_BUILD_ROOT%{_libdir} -name \*.la -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-desktop-database > /dev/null 2>&1 || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/galeon.schemas > /dev/null || :
killall -HUP gconfd-2 &> /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/galeon.schemas > /dev/null || :
    killall -HUP gconfd-2 &> /dev/null || :
fi

%postun
scrollkeeper-update -q || :
update-desktop-database > /dev/null 2>&1 || :


%files -f galeon-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ FAQ.html README.ExtraPrefs
%config(noreplace) %{_sysconfdir}/gconf/schemas/galeon.schemas
%config(noreplace) %{_sysconfdir}/sound/events/galeon.soundlist
%{_bindir}/galeon
%{_mandir}/man1/galeon.1*
%{_datadir}/galeon
%{_datadir}/gnome/help/galeon
%{_datadir}/pixmaps/galeon.png
%{_datadir}/sounds/galeon
%{_datadir}/gnome-2.0/ui/galeon-bookmarks-editor-ui.xml
%{_datadir}/gnome-2.0/ui/nautilus-galeon-view-ui.xml
%{_datadir}/omf/galeon
%{_libdir}/bonobo/servers/GNOME_Galeon_Automation.server
%{_libdir}/bonobo/servers/GNOME_Galeon_NautilusView.server
%{_datadir}/applications/*galeon.desktop


%changelog
* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 2.0.7-10
- Rebuild against newer gecko

* Mon Apr 20 2009 Denis Leroy <denis@poolshark.org> - 2.0.7-8
- Moz 191 update and rebuild for favicon.ico behavior fix

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Denis Leroy <denis@poolshark.org> - 2.0.7-6
- Added upstream patch to use Gnome Print

* Tue Jan  6 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.0.7-5
- Apply modified patch for epiphany for building against xulrunner
  1.9.1 from Christopher Aillon (#478666)

* Fri Dec 26 2008 Denis Leroy <denis@poolshark.org> - 2.0.7-4
- Rebuild for newer gnome desktop library

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 2.0.7-3
- rebuild for dependencies

* Tue Oct  7 2008 Denis Leroy <denis@poolshark.org> - 2.0.7-2
- Added patches to fix default font (#212616) and printing (#449806). Yay.

* Sat Sep 27 2008 Denis Leroy <denis@poolshark.org> - 2.0.7-1
- Update to 2.0.7
- Reworked plugins patch, added nspr test config patch
- Other patches upstreamed

* Thu Jul 10 2008 Denis Leroy <denis@poolshark.org> - 2.0.6-1
- Update to upstraem 2.0.6
- Reworked configure patch for libxul-embedding
- Plugin patch update

* Fri Jun  6 2008 Caolán McNamara <caolanm@redhat.com> - 2.0.5-3
- add galeon-2.0.5-build-fix.patch like epiphany build-fix

* Fri Jun  6 2008 Denis Leroy <denis@poolshark.org> - 2.0.5-2
- Rebuild for new gnome-desktop
- Fixed gecko BR

* Fri Apr  4 2008  <denis@poolshark.org> - 2.0.5-1
- Update to upstream 2.0.5
- Updated xulrunner patch to fix configure

* Tue Feb 19 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.0.4-4
- BuildRequires: gecko-devel -> gecko-devel-unstable as per epiphany package

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.4-3
- Autorebuild for GCC 4.3

* Mon Jan  7 2008 Denis Leroy <denis@poolshark.org> - 2.0.4-2
- Updated xul-runner patch to fix compile/crash issues

* Sun Jan  6 2008 Denis Leroy <denis@poolshark.org> - 2.0.4-1
- Update to upstream 2.0.4
- Some patches upstreamed
- Forward-port of wrapped plugins patch

* Fri Dec 14 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-17
- Added patch by Martin Stransky to compile against xulrunner

* Thu Nov 29 2007 Martin Stransky <stransky@redhat.com>
- Updated patch for wrapped plugins

* Wed Nov 28 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-16
- Rebuild with gecko 1.8.1.10

* Mon Nov 19 2007 Martin Stransky <stransky@redhat.com> - 2.0.3-15
- Added support for wrapped plugins

* Fri Nov 09 2007 Alex Lancaster <alexl@users.sourceforge.net> - 2.0.3-14
- Rebuild with gecko lib 1.8.1.9

* Wed Sep 19 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-12
- Added patch to fix image load preference (#292361)
- Added patch to fix print dialog crash (#285661)

* Wed Aug 22 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-11
- F-8 rebuild

* Tue Aug 14 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-10
- Fixed EVR issue

* Fri Aug 10 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-9
- Rebuild with gecko-libs 1.8.1.6 (firefox 2.0.0.6)
- Updated License tag to new guidelines
- Fixed desktop file categories

* Sun Mar 25 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-8
- Rebuild with gecko-libs 1.8.1.3 (firefox 2.0.0.3)

* Thu Mar  1 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-7
- Rebuild with gecko-libs 1.8.1.2 (firefox 2.0.0.2)

* Sat Jan 27 2007 Denis Leroy <denis@poolshark.org> - 2.0.3-6
- Added patch to fix x86_64 plugin path (#223964)

* Tue Dec 26 2006 Denis Leroy <denis@poolshark.org> - 2.0.3-5
- Rebuild with gecko libs 1.8.1.1

* Thu Nov  9 2006 Denis Leroy <denis@poolshark.org> - 2.0.3-4
- Rebuild for firefox 2
- Added explicit gecko version requirement
- Fixed noreplace rpmlint warning

* Thu Oct 19 2006 Denis Leroy <denis@poolshark.org> - 2.0.3-3
- Added patch to fix flash plugin crash
- Make package depend on gecko-devel

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.0.3-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Denis Leroy <denis@poolshark.org> - 2.0.3-1
- Update to 2.0.3
- Removed x86_64 autoreconf

* Sun Sep 17 2006 Denis Leroy <denis@poolshark.org> - 2.0.2-1
- Update to 2.0.2
- Patches integrated upstream

* Tue Aug 29 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-8
- Added patches for bugs 203615, 203616 and 203618

* Mon Aug 28 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-7
- FE6 Rebuild

* Thu Aug 10 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-6
- Rebuild against firefox 1.5.0.6

* Wed Aug  2 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-5
- Updated to build against firefox-devel

* Wed May  3 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-4
- Bumping up release to match that of FC-4 and FC-5

* Wed May  3 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-2
- Rebuild for mozilla 1.7.13

* Tue Feb 28 2006 Denis Leroy <denis@poolshark.org> - 2.0.1-1
- Update to 2.0.1

* Sun Dec  4 2005 Denis Leroy <denis@poolshark.org> - 2.0.0-2
- Fixed preun script, was removing schemas after update.
- Removed galeon-config-tool. Now using well-known Fedora scriptlets.
- Added scripts Requires

* Mon Nov 28 2005 Denis Leroy <denis@poolshark.org> - 2.0.0-1
- Update to 2.0.0

* Wed Oct 19 2005 Denis Leroy <denis@poolshark.org> - 1.3.21-14
- Rebuilt for mozilla 1.7.12

* Mon Oct  3 2005 Denis Leroy <denis@poolshark.org> - 1.3.21-14
- Update to 1.3.21
- Got rid of requires with rpm -q for ppc build
- Added dist tag
- Removed autoreconf patch
- Added gnome-desktop-devel buildrequires. Added calls to update-desktop-database

* Mon May 02 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.3.20-2
- Add autoreconf-Patch for fix build on x86_64
- Add distag fc4 so this version is higher than the one for fc3

* Wed Mar 16 2005 Dams <anvil[AT]livna.org> - 1.3.20-1
- Updated to 1.3.20

* Sun Jan 23 2005 Dams <anvil[AT]livna.org> - 0:1.3.19-2
- Urlized Source0

* Sun Jan 23 2005 Dams <anvil[AT]livna.org> 0:1.3.19-1
- Rebuilt for Extras

* Sun Jan 16 2005 Dams <anvil[AT]livna.org> 0:1.3.19-0.fdr.1
- Updated to 1.3.19
- Removed old mkinstalldirs fix

* Wed Oct 27 2004 Dams <anvil[AT]livna.org> 0:1.3.18-0.fdr.1
- Updated to 1.3.18

* Thu Sep 30 2004 Dams <anvil[AT]livna.org> 0:1.3.17-0.fdr.2
- Requiring versioned mozilla as it's borked otherwise.

* Mon Aug  9 2004 Dams <anvil[AT]livna.org> 0:1.3.17-0.fdr.1
- Updated to 1.3.17
- Dropped patch0
- Updated version requirement for build dependencies

* Sat Aug  7 2004 Dams <anvil[AT]livna.org> 0:1.3.16-0.fdr.2
- Rebuild

* Sat Jul  3 2004 Dams <anvil[AT]livna.org> 0:1.3.16-0.fdr.1
- Updated to 1.3.16
- Fixed preun scriptlet

* Wed Jun  2 2004 Dams <anvil[AT]livna.org> 0:1.3.15-0.fdr.1
- Updated to 1.3.15

* Sun Mar 21 2004 Dams <anvil[AT]livna.org> 0:1.3.14-0.fdr.1
- Updated to 1.3.14

* Tue Feb 17 2004 Dams <anvil[AT]livna.org> 0:1.3.13-0.fdr.1
- Updated to 1.3.13
- Fixed build (missing mkinstalldirs..)

* Fri Jan  9 2004 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.5.a.fixed
- Added Requires:mozilla (non-versioned)

* Thu Jan  8 2004 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.4.a.fixed
- Removing schemas in preun

* Sat Dec 20 2003 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.3.a-fixed
- Updated to 1.3.11a-fixed

* Fri Dec 19 2003 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.2.a
- Updated to 1.3.11a
- Fix broken build

* Thu Dec 18 2003 Dams <anvil[AT]livna.org> 0:1.3.11-0.fdr.1
- Updated to 1.3.11

* Sat Nov 15 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.6
- Removing .la files in libdir

* Sat Nov  8 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.5
- Added missing directory
- Overriding icon in desktop entry

* Sat Nov  8 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.4
- Added missing nautilus buildRequires

* Sun Nov  2 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.3
- Patch0 : fix mozilla home dectection

* Thu Oct 30 2003 Michael Schwendt <rh0212ms[AT]arcor.de> - 0:1.3.10-0.fdr.2
- Fix conditional nautilus build

* Mon Oct 27 2003 Dams <anvil[AT]livna.org> 0:1.3.10-0.fdr.1
- Updated to 1.3.10
- Dropped patches (applied upstream)

* Sat Oct 18 2003 Dams <anvil[AT]livna.org> 0:1.3.9-0.fdr.3
- Include mozapi patch to fix build with mozilla 1.4.1
- Include mimeicons, mozdetect, and pointer-arithmetics patches from
  CVS (from Nils Philippsen <nphilipp@redhat.com> galeon package)

* Thu Oct  2 2003 Dams <anvil[AT]livna.org> 0:1.3.9-0.fdr.2
- s/Copyright/License
- Now using galeon real png for desktop entry (not the bluecurve one..)
- Using fedora buildroot
- Hopefully fixed build for mozilla 1.4.1
- Moved desktop entry install to install section
- Changed tarball and spec file permissions

* Tue Sep 16 2003 Dams <anvil[AT]livna.org> 0:1.3.9-0.fdr.1
- Updated to 1.3.9
- Version for mozilla-devel must be >= 1.4 now.

* Sat Sep 13 2003 Dams <anvil[AT]livna.org> 0:1.3.8-0.fdr.2
- Added version in BuildRequires for mozilla-devel
- scrollkeeper now is Requires(post,postun). Modified scriptlets.

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:1.3.8-0.fdr.1
- Updated to 1.3.8

* Wed Jul 23 2003 Dams <anvil[AT]livna.org> 0:1.3.7-0.fdr.1
- Based upon upstream spec file, applied fedora spec file look&feel
